## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

Name:           functionalplus
Version:        0.2.24
Release:        %autorelease
Summary:        Functional Programming Library for C++

License:        BSL-1.0
URL:            https://github.com/Dobiasd/FunctionalPlus
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  doctest-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++

%description
Functional Programming Library for C++. Write concise and readable C++ code.


%package        devel
Summary:        Header files for %{name}
BuildArch:      noarch
Provides:       %{name}-static = %{version}-%{release}

%description    devel
%{summary}.


%prep
%autosetup -n FunctionalPlus-%{version}
sed '/-Werror/d' -i cmake/warnings.cmake


%build
%cmake -DFunctionalPlus_INSTALL_CMAKEDIR=%{_datadir}/cmake/FunctionalPlus
%cmake_build
%ifnarch %{ix86}
pushd test
%cmake
%cmake_build
popd
%endif


%install
%cmake_install


%check
%ifnarch %{ix86}
pushd test
%ctest
%endif


%files devel
%license LICENSE
%doc README.md
%{_includedir}/fplus/
%{_datadir}/cmake/FunctionalPlus/


%changelog
## START: Generated by rpmautospec
* Mon Jul 29 2024 Pavel Solovev <daron439@gmail.com> - 0.2.24-1
- Update to 0.2.24 (rhbz#2261115) (rhbz#2300678)

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 26 2023 Pavel Solovev <daron439@gmail.com> - 0.2.22-1
- Update to 0.2.22

* Tue Oct 17 2023 Pavel Solovev <daron439@gmail.com> - 0.2.20.p0-1
- Initial import (rhbz#2243214)
## END: Generated by rpmautospec
